## cairodevice 1.0.0

=== DESCRIPTION ===
Package: cairoDevice
Version: 1.0.0
Date:    2006/4/2
Title: Loadable cairo device driver for R
Author:  Michael Lawrence, Lyndon Drake
Depends: R (>= 1.9.0)
Maintainer: Michael Lawrence <lawremi@iastate.edu>
Description: Cairo/GTK graphics device driver that, in addition to standalone functionality, can be used to create devices as embedded components in a GUI using a Gtk drawing area widget, e.g. using RGtk.
License: GPL
Packaged: Mon May 22 21:06:09 2006; larman

## cairodevice 2.13

=== DESCRIPTION ===
Package: cairoDevice
Version: 2.13
Date: 2010/6/29
Title: Cairo-based cross-platform antialiased graphics device driver.
Author: Michael Lawrence
Depends: R (>= 2.7.0)
Imports: grDevices
SystemRequirements: cairo (>= 1.0)
Maintainer: Michael Lawrence <michafla@gene.com>
Description: Cairo/GTK graphics device driver with output to screen,
        file (png, svg, pdf, and ps) or memory (arbitrary GdkDrawable
        or Cairo context). The screen device may be embedded into RGtk2
        interfaces. Supports all interactive features of other graphics
        devices, including getGraphicsEvent().
Acknowledgements: Lyndon Drake (based on gtkDevice), Brian Ripley
        (updates for R 2.7), Mikhail Kondrin (Adobe->UTF8 translation)
License: GPL
Packaged: 2010-06-29 13:25:02 UTC; larman
Repository: CRAN
Date/Publication: 2010-06-29 16:43:00

## cairodevice 2.19

=== DESCRIPTION ===
Package: cairoDevice
Version: 2.19
Date: 2011/09/16
Title: Cairo-based cross-platform antialiased graphics device driver.
Author: Michael Lawrence
Depends: R (>= 2.12.0)
Imports: grDevices
SystemRequirements: cairo (>= 1.0)
Maintainer: Michael Lawrence <michafla@gene.com>
Description: Cairo/GTK graphics device driver with output to screen,
        file (png, svg, pdf, and ps) or memory (arbitrary GdkDrawable
        or Cairo context). The screen device may be embedded into RGtk2
        interfaces. Supports all interactive features of other graphics
        devices, including getGraphicsEvent().
Acknowledgements: Lyndon Drake (based on gtkDevice), Brian Ripley
        (updates for R 2.7), Mikhail Kondrin (Adobe->UTF8 translation),
        Duncan Murdoch (updates for R 2.12)
License: GPL
Packaged: 2011-10-24 13:03:41 UTC; larman
Repository: CRAN
Date/Publication: 2011-10-24 13:37:51

## cairodevice 2.21

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Package: cairoDevice
-Version: 2.19
-Date: 2011/09/16
+Version: 2.21
 Title: Cairo-based cross-platform antialiased graphics device driver.
 Author: Michael Lawrence
 Depends: R (>= 2.12.0)
@@ -16,6 +15,7 @@
         (updates for R 2.7), Mikhail Kondrin (Adobe->UTF8 translation),
         Duncan Murdoch (updates for R 2.12)
 License: GPL
-Packaged: 2011-10-24 13:03:41 UTC; larman
+Packaged: 2015-01-19 17:24:08 UTC; larman
+NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2011-10-24 13:37:51
+Date/Publication: 2015-01-20 09:06:54

## cairodevice 2.22

=== DESCRIPTION ===
Package: cairoDevice
Version: 2.22
Title: Cairo-based Graphics Device Driver
Author: Michael Lawrence
Depends: R (>= 2.12.0)
Imports: grDevices
SystemRequirements: cairo (>= 1.0)
Maintainer: Michael Lawrence <michafla@gene.com>
Description: This device uses Cairo and GTK to draw to the screen,
        file (png, svg, pdf, and ps) or memory (arbitrary GdkDrawable
        or Cairo context). The screen device may be embedded into RGtk2
        interfaces and supports all interactive features of other graphics
        devices, including getGraphicsEvent().
Acknowledgements: Lyndon Drake (based on gtkDevice), Brian Ripley
        (updates for R 2.7), Mikhail Kondrin (Adobe->UTF8 translation),
        Duncan Murdoch (updates for R 2.12)
License: GPL
NeedsCompilation: yes
Packaged: 2015-02-23 18:49:07 UTC; larman
Repository: CRAN
Date/Publication: 2015-02-24 08:03:36

## cairodevice 2.23

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: cairoDevice
-Version: 2.22
-Title: Cairo-based Graphics Device Driver
+Version: 2.23
+Title: Embeddable Cairo Graphics Device Driver
 Author: Michael Lawrence
 Depends: R (>= 2.12.0)
 Imports: grDevices
@@ -16,6 +16,6 @@
         Duncan Murdoch (updates for R 2.12)
 License: GPL
 NeedsCompilation: yes
-Packaged: 2015-02-23 18:49:07 UTC; larman
+Packaged: 2015-12-13 13:09:24 UTC; larman
 Repository: CRAN
-Date/Publication: 2015-02-24 08:03:36
+Date/Publication: 2015-12-13 16:50:48

## cairodevice 2.24

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: cairoDevice
-Version: 2.23
+Version: 2.24
 Title: Embeddable Cairo Graphics Device Driver
 Author: Michael Lawrence
 Depends: R (>= 2.12.0)
@@ -16,6 +16,6 @@
         Duncan Murdoch (updates for R 2.12)
 License: GPL
 NeedsCompilation: yes
-Packaged: 2015-12-13 13:09:24 UTC; larman
+Packaged: 2017-01-06 01:45:24 UTC; larman
 Repository: CRAN
-Date/Publication: 2015-12-13 16:50:48
+Date/Publication: 2017-01-06 10:06:36

## cairodevice 2.25

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: cairoDevice
-Version: 2.24
+Version: 2.25
 Title: Embeddable Cairo Graphics Device Driver
 Author: Michael Lawrence
 Depends: R (>= 2.12.0)
@@ -16,6 +16,6 @@
         Duncan Murdoch (updates for R 2.12)
 License: GPL
 NeedsCompilation: yes
-Packaged: 2017-01-06 01:45:24 UTC; larman
+Packaged: 2018-06-11 14:32:38 UTC; larman
 Repository: CRAN
-Date/Publication: 2017-01-06 10:06:36
+Date/Publication: 2018-06-12 13:33:44 UTC

=== debian/changelog ===
cairodevice (2.25-2) unstable; urgency=medium

  * debian/control: Add versioned Depends: dh-r (>= 20180615)
  * debian/rules: Convert to (updated) dh-r

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Jun 2018 18:57:24 -0500

cairodevice (2.25-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Jun 2018 21:21:29 -0500

cairodevice (2.24-2) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Jun 2017 17:31:08 -0500

cairodevice (2.24-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 Jan 2017 21:04:28 -0600

cairodevice (2.23-2) unstable; urgency=medium

  * debian/compat: Created
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Jun 2016 07:41:57 -0500

cairodevice (2.23-1) unstable; urgency=low

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Dec 2015 11:10:32 -0600

cairodevice (2.22-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Feb 2015 07:03:53 -0600

cairodevice (2.21-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jan 2015 07:03:22 -0600

cairodevice (2.20-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Feb 2014 16:52:15 -0600

cairodevice (2.19-2) unstable; urgency=low

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 16:28:07 -0500

cairodevice (2.19-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Oct 2011 11:37:00 -0500

cairodevice (2.18-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Sep 2011 12:14:27 -0500

cairodevice (2.16-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Sep 2011 22:49:11 -0500

cairodevice (2.15-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 May 2011 20:39:14 -0500

cairodevice (2.14-2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Apr 2011 13:43:00 -0500

cairodevice (2.14-2) unstable; urgency=low

  * Rebuilt under current Gtk and Cairo libraries

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Mar 2011 16:32:37 -0600

cairodevice (2.14-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Oct 2010 08:59:33 -0500

cairodevice (2.13-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Jun 2010 16:02:04 -0500

cairodevice (2.12-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Jun 2010 11:47:24 -0500

cairodevice (2.10-3) unstable; urgency=low

  * debian/control: Added 'xvfb, xauth, xfonts-base' to Build-Depends: to
    build under virtual framebuffer device.		(Closes: #577301)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Apr 2010 10:51:26 -0500

cairodevice (2.10-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2009 09:27:49 -0600

cairodevice (2.10-1) unstable; urgency=low

  * New upstream release

  * debian/control: Changed Section: to new section 'gnu-r'

  * debian/control: Set (Build-)Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 3.8.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 26 Mar 2009 16:30:01 -0500

cairodevice (2.9-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Oct 2008 20:01:15 -0500

cairodevice (2.8-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Apr 2008 12:52:06 -0500

cairodevice (2.6.1-1) unstable; urgency=low

  * New upstream release				(Closes: #475974)
  
  * Rebuilding under the current R version
  * debian/control: Updated (Build-)Depends accordingly



=== debian/control ===
Source: cairodevice
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), dh-r (>= 20180615), r-base-dev (>= 3.5.0), libgtk2.0-dev, libcairo2-dev, xvfb, xauth, xfonts-base
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-cairodevice
Vcs-Git: https://salsa.debian.org/edd/r-cran-cairodevice.git
Homepage: https://cran.r-project.org/package=cairoDevice

Package: r-cran-cairodevice
Architecture: any
Depends: ${R:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GNU R Cairo/Gtk2 device driver package
 This CRAN package provides a Cairo/GTK2 graphics device for GNU R 
 that, in addition to standalone functionality, can be used to create 
 devices as embedded components in a GUI using a Gtk drawing area widget, 
 e.g. using RGtk2.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-cairodevice package
# Copyright 2002 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## cairodevice 2.26

=== debian/changelog ===
cairodevice (2.26-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Mar 2019 12:31:13 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r (>= 20180615), r-base-dev (>= 3.5.0), libgtk2.0-dev, libcairo2-dev, xvfb, xauth, xfonts-base
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), dh-r (>= 20180615), r-base-dev (>= 3.5.3), libgtk2.0-dev, libcairo2-dev, xvfb, xauth, xfonts-base
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cairodevice
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cairodevice.git
 Homepage: https://cran.r-project.org/package=cairoDevice

## cairodevice 2.27

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: cairoDevice
-Version: 2.25
+Version: 2.27
 Title: Embeddable Cairo Graphics Device Driver
 Author: Michael Lawrence
 Depends: R (>= 2.12.0)
@@ -16,6 +16,6 @@
         Duncan Murdoch (updates for R 2.12)
 License: GPL
 NeedsCompilation: yes
-Packaged: 2018-06-11 14:32:38 UTC; larman
+Packaged: 2019-07-22 11:30:06 UTC; larman
 Repository: CRAN
-Date/Publication: 2018-06-12 13:33:44 UTC
+Date/Publication: 2019-08-02 11:00:05 UTC

=== debian/changelog ===
cairodevice (2.27-2) unstable; urgency=medium

  * Source-only upload

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Aug 2019 16:20:24 -0500

cairodevice (2.27-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 04 Aug 2019 13:05:01 -0500

## cairodevice 2.28

=== debian/changelog ===
cairodevice (2.28-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Oct 2019 06:48:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r (>= 20180615), r-base-dev (>= 3.5.3), libgtk2.0-dev, libcairo2-dev, xvfb, xauth, xfonts-base
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 10), dh-r (>= 20180615), r-base-dev (>= 3.6.1), libgtk2.0-dev, libcairo2-dev, xvfb, xauth, xfonts-base
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cairodevice
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cairodevice.git
 Homepage: https://cran.r-project.org/package=cairoDevice

## cairodevice 2.28.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: cairoDevice
-Version: 2.27
+Version: 2.28.2
 Title: Embeddable Cairo Graphics Device Driver
 Author: Michael Lawrence
 Depends: R (>= 2.12.0)
@@ -16,6 +16,6 @@
         Duncan Murdoch (updates for R 2.12)
 License: GPL
 NeedsCompilation: yes
-Packaged: 2019-07-22 11:30:06 UTC; larman
+Packaged: 2020-06-29 12:00:54 UTC; ripley
 Repository: CRAN
-Date/Publication: 2019-08-02 11:00:05 UTC
+Date/Publication: 2020-07-07 06:11:06 UTC

=== debian/changelog ===
cairodevice (2.28.2-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Jul 2020 22:06:05 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r (>= 20180615), r-base-dev (>= 3.6.1), libgtk2.0-dev, libcairo2-dev, xvfb, xauth, xfonts-base
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), dh-r (>= 20180615), r-base-dev (>= 4.0.2), libgtk2.0-dev, libcairo2-dev, xvfb, xauth, xfonts-base
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cairodevice
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cairodevice.git
 Homepage: https://cran.r-project.org/package=cairoDevice

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/cairoDevice_([\d.-]*)\.tar.gz

## cairodevice 2.28.2.1

=== debian/changelog ===
cairodevice (2.28.2.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 Oct 2021 18:05:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r (>= 20180615), r-base-dev (>= 4.0.2), libgtk2.0-dev, libcairo2-dev, xvfb, xauth, xfonts-base
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), dh-r (>= 20180615), r-base-dev (>= 4.1.1), libgtk2.0-dev, libcairo2-dev, xvfb, xauth, xfonts-base
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-cairodevice
 Vcs-Git: https://salsa.debian.org/edd/r-cran-cairodevice.git
 Homepage: https://cran.r-project.org/package=cairoDevice
